module CorrelationId
  module Middleware
    class Faraday < ::Faraday::Middleware
      def call(env)
        env.request_headers[HEADER_KEY] = CorrelationId.uuid
        @app.call(env)
      end
    end

    ::Faraday::Request.register_middleware correlation_id: -> { Faraday }
  end
end
